Bug 110794

Summary: [V8] Generate a wrapper function for named constructor callbacks
Product: WebKit Reporter: Kentaro Hara <haraken>
Component: WebCore JavaScriptAssignee: Kentaro Hara <haraken>
Status: RESOLVED INVALID    
Severity: Normal CC: abarth, andersca, japhet, webkit.review.bot
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on:    
Bug Blocks: 110667    
Attachments:
Description Flags
Patch
none
Patch abarth: review+, webkit.review.bot: commit-queue-

Description Kentaro Hara 2013-02-25 14:06:16 PST
This would be the final step of generating wrapper functions. The patch generates the following wrapper function for named constructor callbacks.

Handle<Value> namedConstructorCallback()
{
  return namedConstructor();
}
Comment 1 Kentaro Hara 2013-02-25 14:08:08 PST
Created attachment 190122 [details]
Patch
Comment 2 WebKit Review Bot 2013-02-27 01:11:14 PST
Comment on attachment 190122 [details]
Patch

Clearing flags on attachment: 190122

Committed r144157: <http://trac.webkit.org/changeset/144157>
Comment 3 WebKit Review Bot 2013-02-27 01:11:17 PST
All reviewed patches have been landed.  Closing bug.
Comment 4 Kentaro Hara 2013-02-28 10:02:43 PST
Reverted r144157 for reason:

It broke chromium windows build

Committed r144322: <http://trac.webkit.org/changeset/144322>
Comment 5 Kentaro Hara 2013-02-28 11:28:36 PST
Created attachment 190765 [details]
Patch
Comment 6 Kentaro Hara 2013-02-28 11:30:30 PST
I fixed the windows build error: http://master.chrome.corp.google.com:8010/builders/win/builds/933/steps/compile/logs/stdio

It was a problem of namespace conflict. To avoid the conflict:

- namedConstructorCallback() should be a static method of class V8XXX.

- namedConstructor() should be in the namespace XXXV8Internal.
Comment 7 Kentaro Hara 2013-02-28 14:56:35 PST
abarth: would you review?
Comment 8 Kentaro Hara 2013-02-28 14:59:30 PST
Comment on attachment 190765 [details]
Patch

Thanks!
Comment 9 WebKit Review Bot 2013-02-28 15:30:32 PST
Comment on attachment 190765 [details]
Patch

Rejecting attachment 190765 [details] from commit-queue.

Failed to run "['/mnt/git/webkit-commit-queue/Tools/Scripts/webkit-patch', '--status-host=webkit-commit-queue.appspot.com', '--bot-id=gce-cq-01', 'land-attachment', '--force-clean', '--non-interactive', '--parent-command=commit-queue', 190765, '--port=chromium-xvfb']" exit_code: 2 cwd: /mnt/git/webkit-commit-queue

Last 500 characters of output:
t/git/webkit-commit-queue/Source/WebKit/chromium/v8 --revision 13737 --non-interactive --force --accept theirs-conflict --ignore-externals' in '/mnt/git/webkit-commit-queue/Source/WebKit/chromium'
54>At revision 13737.

________ running '/usr/bin/python tools/clang/scripts/update.py --mac-only' in '/mnt/git/webkit-commit-queue/Source/WebKit/chromium'

________ running '/usr/bin/python gyp_webkit' in '/mnt/git/webkit-commit-queue/Source/WebKit/chromium'
Updating webkit projects from gyp files...

Full output: http://webkit-commit-queue.appspot.com/results/16864021
Comment 10 Anders Carlsson 2013-09-01 10:33:08 PDT
V8 is gone.